com.informix.jdbcx

## Class DBParams

- java.lang.Object
- - com.informix.jdbcx.DBParams

    public class DBParams
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `APPEND_ISAM_CODE_TO_SQL_EXCEPTION` Append the ISAM error code onto the original SQLException ISAM codes are otherwise found in the `getCause()` method of Exception if present
`static java.lang.String` `AUTO_CASE_SCHEMA`
`static java.lang.String` `AUTO_FREE_CURSORS` Automatically free cursors in a ResultSet if you pull all the rows back from the server.
`static java.lang.String` `CERTIFICATE_VERIFICATION` Validate the certificates used for the encrypted connection
`static java.lang.String` `CLIENT_LOCALE`
`static java.lang.String` `COMMIT_BEFORE_ISOLATION_CHANGE` Whether you want the driver to automatically commit the current transaction if it detects you are trying to change the transaction isolation level for the session.
`static java.lang.String` `CONNECTION_CLEANER_DELAY` Number of milliseconds for the cleaner thread to wait until it looks for more JDBC resources to clean up
`static java.lang.String` `CUSTOM_CODE_SET`
`static java.lang.String` `CUSTOM_LOCALE`
`static java.lang.String` `CUSTOM_NLS_MAP`
`static java.lang.String` `DATABASE` Name of the database on the server to connect to.
`static java.lang.String` `DB_CENTURY`
`static java.lang.String` `DB_DATE`
`static java.lang.String` `DB_LOCALE`
`static java.lang.String` `DB_TIME`
`static java.lang.String` `DEFAULT_CURSOR_HOLDABILITY` Indicate the default cursor holdability See `ResultSet.HOLD_CURSORS_OVER_COMMIT`.
`static java.lang.String` `DELIMIDENT`
`static java.lang.String` `EMULATE_INFORMIX_SERVER` Enable emulation of the informix server name for web framework compatibility
`static java.lang.String` `GL_DATETIME`
`static java.lang.String` `HOST` Host name of IP address of the server you want to connect to
`static java.lang.String` `INFORMIXCONTIME` How long to wait for a response on the TCP socket
`static java.lang.String` `INVALID_AUTOCOMMIT_THROW_ERROR` Throws an exception if you disable autocommit (enabling transactions) on a non-logged database
`static java.lang.String` `LOB_BUFFER_SIZE` Size of buffer used to retrieve large objects from the server
`static java.lang.String` `LOB_CODESET_CONVERSION_MEMORY` The amount of memory used for conversion of character codesets when processing large objects before using temporary files for caching
`static java.lang.String` `LOB_READONLY` Whether BLOB/CLOB objects are forced to be readonly
`static java.lang.String` `LOCK_TIMEOUT` How long (in seconds) to wait on a lock on a server.
`static java.lang.String` `LOGIN_RETRIES` Number of times retry establishing a connection to the server
`static java.lang.String` `LOGIN_TIMEOUT` Initial wait time to connect to the server in milliseconds.
`static java.lang.String` `METADATA_REPLICATION_COLUMN`
`static java.lang.String` `METADATA_UPPERCASE_VALUES`
`static java.lang.String` `OPT_OFC`
`static java.lang.String` `OVERRIDE_DATABASE_PRODUCT_NAME`
`static java.lang.String` `PAD_VARCHAR` Simulate a CHAR column from a VARCHAR by padding the end of VARCHAR columns to the size of the column.
`static java.lang.String` `PASSWORD` Password for the the corresponding `USER`.
`static java.lang.String` `PORT` Port to connect to.
`static java.lang.String` `PREPAREDSTATEMENT_CACHE_SIZE` Number of `PreparedStatement` objects to cache per connection.
`static java.lang.String` `PROCESS_TABLE_NAME_IN_RESULTSETS`
`static java.lang.String` `PROTOCOL_TRACE_FILE` Location to generate a protocol level trace file for support teams.
`static java.lang.String` `REMOVE_LOB_TEMP_FILES_ON_RS_CLOSE` Remove temporary files used with large objects when the ResultSet is closed.
`static java.lang.String` `REPLACE_UNMAPPABLE_CHARACTER_SEQUENCES` What to do if a character is not mappable from the database encoding to the client encoding
`static java.lang.String` `RESULTS_BUFFER_SIZE` The size of the buffer used to fetch rows of data during queries
`static java.lang.String` `SECONDARY_HOST`
`static java.lang.String` `SECONDARY_PORT`
`static java.lang.String` `SECONDARY_SERVERNAME`
`static java.lang.String` `SECONDARY_SWITCH`
`static java.lang.String` `SERVER_NAME`
`static java.lang.String` `SESSION_VARIABLES`
`static java.lang.String` `SET_JVM_LOCALE`
`static java.lang.String` `SOCKET_KEEPALIVE` Enable keep alive on the TCP socket connection
`static java.lang.String` `SOCKET_TIMEOUT` How long to wait for a response on the TCP socket
`static java.lang.String` `SQLH_PATH`
`static java.lang.String` `SSL_PROTOCOLS` Override the encryption protocols presented to the server using a comma separated list of valid JDK protocols that are also supported by your database server.
`static java.lang.String` `SSLCONNECTION` Enable TLS/SSL encryption for this connection.
`static java.lang.String` `TEMP_DIR` Absolute path to a temporary directory to be used for cached/staging files by the driver

`static java.lang.String`

`TRANSACTION_ISOLATION_LEVEL`
Specify the transaction isolation level 0 - Equivalent to TRANSACTION_NONE 1 - Dirty Read (equivalent to TRANSACTION_READ_UNCOMMITTED), 2 - Committed Read (equivalent to TRANSACTION_READ_COMMITTED), 3 - Cursor Stability (equivalent to TRANSACTION_READ_COMMITTED), 4 - Repeatable Read (equivalent to TRANSACTION_REPEATABLE_READ) 5 - Committed Read LAST COMMITTED (equivalent to TRANSACTION_LAST_COMMITTED) 8 - Equivalent to TRANSACTION_SERIALIZABLE Specifying U after the mode means retain update locks.

`static java.lang.String` `TRIM_TRAILING_SPACES`
`static java.lang.String` `TRUST_STORE` The location to look for a trust store If not set JDBC will look at the Java property `javax.net.ssl.trustStore`If that also is not set then it will defer to the installed JREs trust store location``
`static java.lang.String` `TRUST_STORE_PASSWORD` The password to unlock the trust store
`static java.lang.String` `TRUSTED_CONTEXT` Enable the trusted context feature to switch users without creating a new connection
`static java.lang.String` `UDT_CACHE` Caches the UDT information from the server for faster access during queries
`static java.lang.String` `UPPERCASE_METADATA_RS_COLUMN_NAMES` Return UPPER or LOWER case column names in the `DatabaseMetaData` ResultSet column names.
`static java.lang.String` `USE_PUT` Enable client side pre-processing on batched inserts.
`static java.lang.String` `USE_XA_SPEC`
`static java.lang.String` `USER` User to connect to the database server as.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### APPEND_ISAM_CODE_TO_SQL_EXCEPTION

    public static final java.lang.String APPEND_ISAM_CODE_TO_SQL_EXCEPTION

Append the ISAM error code onto the original SQLException ISAM codes are otherwise found in the `getCause()` method of Exception if present

Default: `false`

See Also:
  Constant Field Values

#### AUTO_CASE_SCHEMA

    public static final java.lang.String AUTO_CASE_SCHEMA

See Also:
  Constant Field Values

#### AUTO_FREE_CURSORS

    public static final java.lang.String AUTO_FREE_CURSORS

Automatically free cursors in a ResultSet if you pull all the rows back from the server.

This saves a network in cases where you always scroll to the end of the `ResultSet`

Default: `false`

See Also:
  Constant Field Values

#### CLIENT_LOCALE

    public static final java.lang.String CLIENT_LOCALE

See Also:
  Constant Field Values

#### COMMIT_BEFORE_ISOLATION_CHANGE

    public static final java.lang.String COMMIT_BEFORE_ISOLATION_CHANGE

Whether you want the driver to automatically commit the current transaction if it detects you are trying to change the transaction isolation level for the session.

Default: `true`

See Also:
  Constant Field Values

#### CONNECTION_CLEANER_DELAY

    public static final java.lang.String CONNECTION_CLEANER_DELAY

Number of milliseconds for the cleaner thread to wait until it looks for more JDBC resources to clean up

Set to 0 or -1 to disable the cleaner thread

Default: `0` (off)

See Also:
  Constant Field Values

#### CUSTOM_CODE_SET

    public static final java.lang.String CUSTOM_CODE_SET

See Also:
  Constant Field Values

#### CUSTOM_LOCALE

    public static final java.lang.String CUSTOM_LOCALE

See Also:
  Constant Field Values

#### CUSTOM_NLS_MAP

    public static final java.lang.String CUSTOM_NLS_MAP

See Also:
  Constant Field Values

#### DATABASE

    public static final java.lang.String DATABASE

Name of the database on the server to connect to. If left blank, you connect to no database and cannot perform many operations until you connect with a `DATABASE database-name-here` SQL statement

See Also:
  Constant Field Values

#### DB_CENTURY

    public static final java.lang.String DB_CENTURY

See Also:
  Constant Field Values

#### DB_DATE

    public static final java.lang.String DB_DATE

See Also:
  Constant Field Values

#### DB_TIME

    public static final java.lang.String DB_TIME

See Also:
  Constant Field Values

#### DB_LOCALE

    public static final java.lang.String DB_LOCALE

See Also:
  Constant Field Values

#### DEFAULT_CURSOR_HOLDABILITY

    public static final java.lang.String DEFAULT_CURSOR_HOLDABILITY

Indicate the default cursor holdability See `ResultSet.HOLD_CURSORS_OVER_COMMIT`.

Default: `2 - ResultSet.CLOSE_CURSORS_AT_COMMIT`

See Also:
  Constant Field Values

#### DELIMIDENT

    public static final java.lang.String DELIMIDENT

See Also:
  Constant Field Values

#### EMULATE_INFORMIX_SERVER

    public static final java.lang.String EMULATE_INFORMIX_SERVER

Enable emulation of the informix server name for web framework compatibility

See Also:
  Constant Field Values

#### GL_DATETIME

    public static final java.lang.String GL_DATETIME

See Also:
  Constant Field Values

#### HOST

    public static final java.lang.String HOST

Host name of IP address of the server you want to connect to

Default: `localhost`

See Also:
  Constant Field Values

#### INVALID_AUTOCOMMIT_THROW_ERROR

    public static final java.lang.String INVALID_AUTOCOMMIT_THROW_ERROR

Throws an exception if you disable autocommit (enabling transactions) on a non-logged database

Default: `true`

See Also:
  Constant Field Values

#### LOB_BUFFER_SIZE

    public static final java.lang.String LOB_BUFFER_SIZE

Size of buffer used to retrieve large objects from the server

Default: `16384`

See Also:
  Constant Field Values

#### LOB_CODESET_CONVERSION_MEMORY

    public static final java.lang.String LOB_CODESET_CONVERSION_MEMORY

The amount of memory used for conversion of character codesets when processing large objects before using temporary files for caching

Default: `-1`

See Also:
  Constant Field Values

#### LOB_READONLY

    public static final java.lang.String LOB_READONLY

Whether BLOB/CLOB objects are forced to be readonly

Default: `false`

See Also:
  Constant Field Values

#### LOCK_TIMEOUT

    public static final java.lang.String LOCK_TIMEOUT

How long (in seconds) to wait on a lock on a server.

- -1 : Wait forever
- 0 : Do not wait
- > 0 : Wait X seconds

Default: `-1` Wait forever

See Also:
  Constant Field Values

#### LOGIN_RETRIES

    public static final java.lang.String LOGIN_RETRIES

Number of times retry establishing a connection to the server

Default: `0`

See Also:
  Constant Field Values

#### LOGIN_TIMEOUT

    public static final java.lang.String LOGIN_TIMEOUT

Initial wait time to connect to the server in milliseconds.

Default: `15000` ms

See Also:
  Constant Field Values

#### METADATA_REPLICATION_COLUMN

    public static final java.lang.String METADATA_REPLICATION_COLUMN

See Also:
  Constant Field Values

#### METADATA_UPPERCASE_VALUES

    public static final java.lang.String METADATA_UPPERCASE_VALUES

See Also:
  Constant Field Values

#### OPT_OFC

    public static final java.lang.String OPT_OFC

See Also:
  Constant Field Values

#### OVERRIDE_DATABASE_PRODUCT_NAME

    public static final java.lang.String OVERRIDE_DATABASE_PRODUCT_NAME

See Also:
  Constant Field Values

#### PAD_VARCHAR

    public static final java.lang.String PAD_VARCHAR

Simulate a CHAR column from a VARCHAR by padding the end of VARCHAR columns to the size of the column.

Default: `false`

See Also:
  Constant Field Values

#### PASSWORD

    public static final java.lang.String PASSWORD

Password for the the corresponding `USER`.

See Also:
  Constant Field Values

#### PORT

    public static final java.lang.String PORT

Port to connect to.

Default: `9088`

See Also:
  Constant Field Values

#### PREPAREDSTATEMENT_CACHE_SIZE

    public static final java.lang.String PREPAREDSTATEMENT_CACHE_SIZE

Number of `PreparedStatement` objects to cache per connection.

Caching prepared statements uses more memory but can improve performance by reducing the number of network trips to execute SQL statements

Default: `0`

See Also:
  Constant Field Values

#### PROCESS_TABLE_NAME_IN_RESULTSETS

    public static final java.lang.String PROCESS_TABLE_NAME_IN_RESULTSETS

See Also:
  Constant Field Values

#### PROTOCOL_TRACE_FILE

    public static final java.lang.String PROTOCOL_TRACE_FILE

Location to generate a protocol level trace file for support teams.

See Also:
  Constant Field Values

#### RESULTS_BUFFER_SIZE

    public static final java.lang.String RESULTS_BUFFER_SIZE

The size of the buffer used to fetch rows of data during queries

Default: `4096`

See Also:
  Constant Field Values

#### REMOVE_LOB_TEMP_FILES_ON_RS_CLOSE

    public static final java.lang.String REMOVE_LOB_TEMP_FILES_ON_RS_CLOSE

Remove temporary files used with large objects when the ResultSet is closed.

If true when a ResultSet is closed, the temporary files are removed, and any references to BLOB/CLOB objects that reference those files will no longer function.

If false, then the temporary files can persist until the connection is closed.

Default: `false`

See Also:
  Constant Field Values

#### REPLACE_UNMAPPABLE_CHARACTER_SEQUENCES

    public static final java.lang.String REPLACE_UNMAPPABLE_CHARACTER_SEQUENCES

What to do if a character is not mappable from the database encoding to the client encoding

`true` - replace the character with the charsets default replacement string

`false` - throw an error to indicate unmappable characters are present

Default: `false`

See Also:
  Constant Field Values

#### SECONDARY_SERVERNAME

    public static final java.lang.String SECONDARY_SERVERNAME

See Also:
  Constant Field Values

#### SECONDARY_SWITCH

    public static final java.lang.String SECONDARY_SWITCH

See Also:
  Constant Field Values

#### SECONDARY_HOST

    public static final java.lang.String SECONDARY_HOST

See Also:
  Constant Field Values

#### SECONDARY_PORT

    public static final java.lang.String SECONDARY_PORT

See Also:
  Constant Field Values

#### SERVER_NAME

    public static final java.lang.String SERVER_NAME

See Also:
  Constant Field Values

#### SESSION_VARIABLES

    public static final java.lang.String SESSION_VARIABLES

See Also:
  Constant Field Values

#### SET_JVM_LOCALE

    public static final java.lang.String SET_JVM_LOCALE

See Also:
  Constant Field Values

#### SQLH_PATH

    public static final java.lang.String SQLH_PATH

See Also:
  Constant Field Values

#### SOCKET_TIMEOUT

    public static final java.lang.String SOCKET_TIMEOUT

How long to wait for a response on the TCP socket

Default: `0` - Wait forever

See Also:
  Constant Field Values

#### INFORMIXCONTIME

    public static final java.lang.String INFORMIXCONTIME

How long to wait for a response on the TCP socket

Default: `0` - Wait forever defect idsdb00117958 : in old driver we had this property INFORMIXCONTIME but in new driver we are using SOCKET_TIMEOUT still to maintain backward compatibility both properties are supported

See Also:
  Constant Field Values

#### SOCKET_KEEPALIVE

    public static final java.lang.String SOCKET_KEEPALIVE

Enable keep alive on the TCP socket connection

Default: `false`

See Also:
  Constant Field Values

#### SSLCONNECTION

    public static final java.lang.String SSLCONNECTION

Enable TLS/SSL encryption for this connection.

Default: `false`

See Also:
  Constant Field Values

#### CERTIFICATE_VERIFICATION

    public static final java.lang.String CERTIFICATE_VERIFICATION

Validate the certificates used for the encrypted connection

Default: `true`

See Also:
  Constant Field Values

#### SSL_PROTOCOLS

    public static final java.lang.String SSL_PROTOCOLS

Override the encryption protocols presented to the server using a comma separated list of valid JDK protocols that are also supported by your database server.

See Also:
  Constant Field Values

#### TEMP_DIR

    public static final java.lang.String TEMP_DIR

Absolute path to a temporary directory to be used for cached/staging files by the driver

See Also:
  Constant Field Values

#### TRANSACTION_ISOLATION_LEVEL

    public static final java.lang.String TRANSACTION_ISOLATION_LEVEL

Specify the transaction isolation level

- 0 - Equivalent to TRANSACTION_NONE
- 1 - Dirty Read (equivalent to TRANSACTION_READ_UNCOMMITTED),
- 2 - Committed Read (equivalent to TRANSACTION_READ_COMMITTED),
- 3 - Cursor Stability (equivalent to TRANSACTION_READ_COMMITTED),
- 4 - Repeatable Read (equivalent to TRANSACTION_REPEATABLE_READ)
- 5 - Committed Read LAST COMMITTED (equivalent to TRANSACTION_LAST_COMMITTED)
- 8 - Equivalent to TRANSACTION_SERIALIZABLE

Specifying U after the mode means retain update locks.

See Also:
  Constant Field Values

#### TRIM_TRAILING_SPACES

    public static final java.lang.String TRIM_TRAILING_SPACES

See Also:
  Constant Field Values

#### TRUST_STORE

    public static final java.lang.String TRUST_STORE

The location to look for a trust store If not set JDBC will look at the Java property `javax.net.ssl.trustStore`If that also is not set then it will defer to the installed JREs trust store location``

See Also:
  Constant Field Values

#### TRUST_STORE_PASSWORD

    public static final java.lang.String TRUST_STORE_PASSWORD

The password to unlock the trust store

See Also:
  Constant Field Values

#### TRUSTED_CONTEXT

    public static final java.lang.String TRUSTED_CONTEXT

Enable the trusted context feature to switch users without creating a new connection

Default: `false`

See Also:
  Constant Field Values

#### UDT_CACHE

    public static final java.lang.String UDT_CACHE

Caches the UDT information from the server for faster access during queries

Default: `true`

See Also:
  Constant Field Values

#### UPPERCASE_METADATA_RS_COLUMN_NAMES

    public static final java.lang.String UPPERCASE_METADATA_RS_COLUMN_NAMES

Return UPPER or LOWER case column names in the `DatabaseMetaData` ResultSet column names.

Default: `false` all column names are lowercase

See Also:
  Constant Field Values

#### USE_PUT

    public static final java.lang.String USE_PUT

Enable client side pre-processing on batched inserts.

Can improve performance in some batched insert scenarios.

Default: `false`

See Also:
  Constant Field Values

#### USE_XA_SPEC

    public static final java.lang.String USE_XA_SPEC

See Also:
  Constant Field Values

#### USER

    public static final java.lang.String USER

User to connect to the database server as.

See Also:
  Constant Field Values